Summary:	Drivers for printing to HP PPA printers
Summary(pl.UTF-8):	Sterowniki do drukarek HP PPA
Name:		pnm2ppa
Version:	1.13
Release:	1
License:	GPL v2+
Group:		Applications/Publishing
Source0:	http://downloads.sourceforge.net/pnm2ppa/%{name}-%{version}.tar.gz
# Source0-md5:	5354e54ade6de7a35370e5b47030274c
Source1:	ppa-0.8.6.tar.gz
# Source1-md5:	fb40576435d5979db64fbea305ec224b
Source2:	%{name}-filters.tar.gz
# Source2-md5:	c73c6d86ef7e143f8464ba40c4dfa9bb
Patch0:		pbm2ppa-20000205.diff
Patch1:		%{name}-pld.patch
URL:		http://pnm2ppa.sourceforge.net/
Requires:	ghostscript
Requires:	mpage
Obsoletes:	ppa
Obsoletes:	pbm2ppa
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		lpfiltersdir	%{_libexecdir}/lpfilters

%description
pnm2ppa is a color driver for HP PPA host-based printers such as the
HP710C, 712C, 720C, 722C, 820Cse, 820Cxi, 1000Cse, and 1000Cxi. It
accepts ghostscript output in PNM formats, and sends it to the printer
in PPA format. The older (black only) driver pbm2ppa is also included.

%description -l pl.UTF-8
pnm2ppa to obsługujący kolor sterownik do drukarek HP PPA, takich jak
HP710C, 712C, 720C, 722C, 820Cse, 820Cxi, 1000Cse, 1000Cxi. Przyjmuje
wyjście ghostscripta w formacie PNM, wysyła je na drukarkę w formacie
PPA. Załączona jest też starsza (obsługująca tylko czerń) wersja
sterownika o nazwie pbm2ppa.

%package filters
Summary:	PPA filters for LPRng printing system
Summary(pl.UTF-8):	Filtry PPA do systemu drukowania LPRng
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}
Requires:	LPRng

%description filters
PPA filters for LPRng printing system.

Supported printers include HP710C, 712C, 720C, 722C, 820Cse, 820Cxi,
1000Cse, and 1000Cxi.

%description filters -l pl.UTF-8
Filtry PPA do systemu drukowania LPRng.

Obsługiwane drukarki to m.in.: HP710C, 712C, 720C, 722C, 820Cse,
820Cxi, 1000Cse oraz 1000Cxi.

%prep
%setup -q -a1 -a2
%patch0 -p0
%patch1 -p1

%build
%configure

%{__make}

%{__make} -C pbm2ppa-0.8.6 \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{lpfiltersdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install utils/Linux/detect_ppa $RPM_BUILD_ROOT%{_bindir}
install utils/Linux/test_ppa $RPM_BUILD_ROOT%{_bindir}

install pbm2ppa-0.8.6/pbm2ppa $RPM_BUILD_ROOT%{_bindir}
install pbm2ppa-0.8.6/pbmtpg $RPM_BUILD_ROOT%{_bindir}
cp -p pbm2ppa-0.8.6/pbm2ppa.conf $RPM_BUILD_ROOT%{_sysconfdir}
cp -p pbm2ppa-0.8.6/pbm2ppa.1 $RPM_BUILD_ROOT%{_mandir}/man1

install pnm2ppa-filters/pnm2ppa-filter-bw $RPM_BUILD_ROOT%{lpfiltersdir}
install pnm2ppa-filters/pnm2ppa-filter-bw-eco $RPM_BUILD_ROOT%{lpfiltersdir}
install pnm2ppa-filters/pnm2ppa-filter-color $RPM_BUILD_ROOT%{lpfiltersdir}
install pnm2ppa-filters/pnm2ppa-filter-color-eco $RPM_BUILD_ROOT%{lpfiltersdir}

install -d pbm2ppa
for file in CALIBRATION CREDITS README ; do
	install -m 0644 pbm2ppa-0.8.6/$file pbm2ppa/$file
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/en/{CREDITS,INSTALL,README,RELEASE-NOTES,TODO,COLOR.txt,CALIBRATION.txt} test.ps pbm2ppa
%lang(pl) %doc docs/pl/{AUTORZY,CZYTAJ.TO,INSTALACJA,KALIBRACJA}
%attr(755,root,root) %{_bindir}/calibrate_ppa
%attr(755,root,root) %{_bindir}/detect_ppa
%attr(755,root,root) %{_bindir}/pbm2ppa
%attr(755,root,root) %{_bindir}/pbmtpg
%attr(755,root,root) %{_bindir}/pnm2ppa
%attr(755,root,root) %{_bindir}/test_ppa
%{_mandir}/man1/pbm2ppa.1*
%{_mandir}/man1/pnm2ppa.1*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pbm2ppa.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pnm2ppa.conf

%files filters
%defattr(644,root,root,755)
%attr(755,root,root) %{lpfiltersdir}/pnm2ppa-filter-*
%changelog
* Sun Nov 18 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pnm2ppa.git;a=log;h=master

* Sun Nov 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 181fbe8
- follow upstream, use _libexecdir for lpfilters

* Sat Nov 17 2018 Jakub Bogusz <qboosh@pld-linux.org> 45e2a79
- separate -filters (LPRng specific filters location)

* Sat Nov 17 2018 Jakub Bogusz <qboosh@pld-linux.org> ac05e52
- updated to 1.13
- removed obsolete destdir patch

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> be349a0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e63bb43
- converted to UTF-8

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> f253e79
- adapterized (sorted %verify flags)

* Sun May 01 2005 Elan Ruusamäe <glen@pld-linux.org> c3d8d05
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

* Mon Oct 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 9aca278
- gpm-friendly Source0 URL

* Fri Aug 27 2004 Jakub Bogusz <qboosh@pld-linux.org> a6969fd
- typo in CFLAGS (fixes SEGV reported by hawk); release 2

* Thu Oct 30 2003 Jakub Bogusz <qboosh@pld-linux.org> 571497e
- use optflags, removed LICENSE from doc (just GPL), added pl docs

* Tue Aug 12 2003 Jakub Bogusz <qboosh@pld-linux.org> 599f1a4
- cleanups, mainly in preambles

* Sun Jun 22 2003 eothane <eothane@pld-linux.org> f3a70c0
- checkpassword-pam.spec

* Mon Jun 16 2003 Paweł Gołaszewski <blues@pld-linux.org> b5a9953
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 93a0c95
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> d18da97
- massive attack s/pld.org.pl/pld-linux.org/

* Sun Dec 15 2002 Marcin Kierus <marcin.kierus@gmail.com> 87935ec
- updated to 1.12

* Mon Jul 15 2002 Marcin Kierus <marcin.kierus@gmail.com> b37a771
- fixed source

* Mon Jul 15 2002 Marcin Kierus <marcin.kierus@gmail.com> c44513f
- updated to stable 1.10

* Sun Jun 23 2002 Marcin Kierus <marcin.kierus@gmail.com> 5f30db4
- updated to 1.10pre3 (fix bug in -g option: color correction test output, add support for 300dpi input)

* Wed Jun 19 2002 kloczek <kloczek@pld-linux.org> 400fc30
- use new %doc.

